FolderListItem Class Reference

Folders list item class. More...

`#include <Folder.h>`

Inheritance diagram for FolderListItem:

## Public Types

enum | { RTTI = 1001 }

## Public Member Functions

Folder * | folder ()
| FolderListItem (Q3ListView *parent, Folder *f)
| FolderListItem (FolderListItem *parent, Folder *f)
bool | isChildOf (FolderListItem *src)
| Checks weather the folder item is a grandchild of the source folder. More...
virtual int | rtti () const
void | setActive (bool o)

## Protected Attributes

Folder * | myFolder

## Detailed Description

Folders list item class.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
RTTI |

## Constructor & Destructor Documentation

## FolderListItem() [1/2]

FolderListItem::FolderListItem | ( | Q3ListView * | parent,
|  | Folder * | f
| ) |  |

References myFolder, and setActive().

## FolderListItem() [2/2]

FolderListItem::FolderListItem | ( | FolderListItem * | parent,
|  | Folder * | f
| ) |  |

References myFolder, and setActive().

## Member Function Documentation

## folder()

Folder* FolderListItem::folder | ( |  | ) |

inline

Referenced by ApplicationWindow::closeWindow(), ApplicationWindow::find(), ApplicationWindow::folderItemDoubleClicked(), ApplicationWindow::hideAllFolderWindows(), ApplicationWindow::moveFolder(), ApplicationWindow::openProject(), ApplicationWindow::saveProjectAs(), and ApplicationWindow::showAllFolderWindows().

## isChildOf()

bool FolderListItem::isChildOf | ( | FolderListItem * | src | ) |

Checks weather the folder item is a grandchild of the source folder.

Parameters

  src | source folder item

## rtti()

virtual int FolderListItem::rtti | ( |  | ) | const

inline virtual

## setActive()

void FolderListItem::setActive | ( | bool | o | ) |

Referenced by ApplicationWindow::addFolderListViewItem(), ApplicationWindow::changeFolder(), ApplicationWindow::desactivateFolders(), and FolderListItem().

## Member Data Documentation

## myFolder

Folder* FolderListItem::myFolder

protected

Referenced by FolderListItem().

The documentation for this class was generated from the following files:

- qtiplot/src/core/Folder.h
- qtiplot/src/core/Folder.cpp